-- name: Ori
-- description: Ori has arrived!\n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!

local E_MODEL_ORI = smlua_model_util_get_id("ori_geo")

local TEX_ORI_ICON = get_texture_info("ori-icon")

local TEXT_MOD_NAME = "Ori"

local VOICETABLE_ORI = {
    [CHAR_SOUND_ATTACKED] = 'oriouch.ogg',
    [CHAR_SOUND_COUGHING1] = 'oricough.ogg',
    [CHAR_SOUND_COUGHING2] = 'oricough2.ogg',
    [CHAR_SOUND_COUGHING3] = 'oricough.ogg',
    [CHAR_SOUND_DOH] = 'orioof.ogg',
    [CHAR_SOUND_DROWNING] = 'oridrowning.ogg',
    [CHAR_SOUND_DYING] = 'oridying.ogg',
    [CHAR_SOUND_EEUH] = 'orieeyup.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'origroundpound.ogg',
    [CHAR_SOUND_HAHA] = 'oriyipee_big.ogg',
    [CHAR_SOUND_HAHA_2] = 'oriyipee_big.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'oriyipee_big.ogg',
    [CHAR_SOUND_HOOHOO] = 'oriwehe.ogg',
    [CHAR_SOUND_HRMM] = 'orieeyup.ogg',
    [CHAR_SOUND_IMA_TIRED] = 'orieepy.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'oriangy.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'oriletsgo.ogg',
    [CHAR_SOUND_ON_FIRE] = 'orihothot.ogg',
    [CHAR_SOUND_OOOF] = 'orioof.ogg',
    [CHAR_SOUND_OOOF2] = 'orioof.ogg',
    [CHAR_SOUND_PANTING] = 'oripant.ogg',
    [CHAR_SOUND_PANTING_COLD] = 'oripant.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'orihit2.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'orihit1.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'orihit0.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'oribowserthrow.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'oriletsgo.ogg',
    [CHAR_SOUND_UH] = 'origuh.ogg',
    [CHAR_SOUND_UH2] = 'origuh.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'orifalling.ogg',
    [CHAR_SOUND_WAH2] = 'orihit1.ogg',
    [CHAR_SOUND_WHOA] = 'orihit2.ogg',
    [CHAR_SOUND_YAHOO] = 'oriyipee_big.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'oriyipee0.ogg', 'oriyipee1.ogg', 'oriwehe.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'orijump0.ogg', 'orijump1.ogg', 'orijump2.ogg'},
}


local capModels = {
    normal = smlua_model_util_get_id("ori_cap_geo"),
    wing = smlua_model_util_get_id("ori_wing_cap_geo"),
    metal = smlua_model_util_get_id("ori_metal_cap_geo"),
    metalWing = smlua_model_util_get_id("ori_metal_wing_cap_geo")
}


if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Ori", {"Spirit of Nibel;", "The Hero of Light"}, "CitraDreamPainter", {r = 155, g = 230, b = 255}, E_MODEL_ORI, CT_MARIO, TEX_ORI_ICON)
	
	_G.charSelect.character_add_caps(E_MODEL_ORI, capModels)

    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_ORI, VOICETABLE_ORI)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_ORI then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_ORI then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end